<?php
defined('BASEPATH') OR exit('No direct script access allowed');
class Site extends CI_Controller {

	/**
	 * Index Page for this controller.
	 *
	 * Maps to the following URL
	 * 		http://example.com/index.php/welcome
	 *	- or -
	 * 		http://example.com/index.php/welcome/index
	 *	- or -
	 * Since this controller is set as the default controller in
	 * config/routes.php, it's displayed at http://example.com/
	 *
	 * So any other public methods not prefixed with an underscore will
	 * map to /index.php/welcome/<method_name>
	 * @see http://codeigniter.com/user_guide/general/urls.html
	 */
	public function __construct()
	{
		// Call the CI_Model constructor
		parent::__construct();
		$this->load->library('form_validation');
		$this->load->model('common_model');
		$this->form_validation->set_error_delimiters('<span class="error">', '</span>');
	}
	
	public function index()
	{
		$data = [];
		$data['pageName'] = 'home';
		$data['title'] = 'Home';
		$this->load->view('home', $data);
	}
	
	public function about()
	{
		$data = [];
		$data['pageName'] = 'about';
		$data['title'] = 'About Us';
		$this->load->view('about_us', $data);
	}
	
	public function contact()
	{
		$data = [];
		$data['pageName'] = 'contact';
		$data['title'] = 'Contact Us';
		$this->load->view('contact_us', $data);
	}
	
	public function whyjam()
	{
		$data = [];
		$data['pageName'] = 'whyjam';
		$data['title'] = 'Why JAM';
		$this->load->view('why_jam', $data);
	}
	
	public function trial()
	{
		$data = [];
		$data['pageName'] = 'trial';
		$data['title'] = 'Free Trial';
		$this->load->view('trial', $data);
	}
	
	public function serviceDetails()
	{
		$data = [];
		$data['pageName'] = 'services';
		$data['title'] = 'Service Details';
		$this->load->view('services', $data);
	}
	
	public function services()
	{
		$data = [];
		$data['pageName'] = 'services';
		$data['title'] = 'Services';
		$this->load->view('our_service', $data);
	}
	
	public function career()
	{
		$data = [];
		$data['pageName'] = 'career';
		$data['title'] = 'Career';
		$this->load->view('career', $data);
	}
	
	public function jobdesc()
	{
		$data = [];
		$data['pageName'] = 'career';
		$data['title'] = 'Job Profile';
		$this->load->view('job_profile', $data);
	}
	
	
	public function addContactUs()
	{
		$postData = $this->input->post();
		$arrData = [
			'name' => $postData['name'],
			'mobile' => $postData['mobile'],
			'email' => $postData['email'],
			'subject' => $postData['subject'],
			'message' => $postData['message']
		];
		$contactId = $this->common_model->addContactUs($arrData);
		
		if($contactId){
			$response = ['errorFlag' => 0 , 'message' => "Thank you for reaching out! We'll be in touch shortly."];
		}else{
			$response = ['errorFlag' => 1 , 'message' => 'Something went wrong. Please try again later.'];
		}
		echo json_encode($response);exit;
	}
	
	public function send_email() {
        // Set SendGrid API key
        $apiKey = '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';

        // Set email parameters
        $emailData = [
            'personalizations' => [
                [
                    'to' => [
                        ['email' => 'kojarmohammed555@gmail.com']
                    ]
                ]
            ],
            'from' => [
                'email' => 'support@jam.com'
            ],
            'subject' => 'Test Email from SendGrid',
            'content' => [
                [
                    'type' => 'text/plain',
                    'value' => 'Hello, this is a test email from SendGrid!'
                ]
            ]
        ];

        // Send email using SendGrid API
        $response = $this->send_email_sendgrid($apiKey, $emailData);

        // Check response status
        if ($response['status'] == 'success') {
            echo "Email sent successfully. Response: " . $response['body'];
        } else {
            echo "Error sending email. Response: " . $response['body'];
        }
    }

    private function send_email_sendgrid($apiKey, $emailData) {
        $url = 'https://api.sendgrid.com/v3/mail/send';

        $headers = [
            'Authorization: Bearer ' . $apiKey,
            'Content-Type: application/json'
        ];

        $ch = curl_init($url);
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($emailData));
        curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        $responseBody = curl_exec($ch);
        $statusCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
        curl_close($ch);

        return [
            'status' => ($statusCode == 202) ? 'success' : 'error',
            'body' => $responseBody
        ];
    }
	
}
