<?php
/**
 * CodeIgniter
 *
 * An open source application development framework for PHP
 *
 * This content is released under the MIT License (MIT)
 *
 * Copyright (c) 2014 - 2015, British Columbia Institute of Technology
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 * @package	CodeIgniter
 * @author	EllisLab Dev Team
 * @copyright	Copyright (c) 2008 - 2014, EllisLab, Inc. (http://ellislab.com/)
 * @copyright	Copyright (c) 2014 - 2015, British Columbia Institute of Technology (http://bcit.ca/)
 * @license	http://opensource.org/licenses/MIT	MIT License
 * @link	http://codeigniter.com
 * @since	Version 1.0.0
 * @filesource
 */
defined('BASEPATH') OR exit('No direct script access allowed');

/**
 * CodeIgniter Date Helpers
 *
 * @package		CodeIgniter
 * @subpackage	Helpers
 * @category	Helpers
 * @author		EllisLab Dev Team
 * @link		http://codeigniter.com/user_guide/helpers/date_helper.html
 */

// ------------------------------------------------------------------------

if ( ! function_exists('calculateDiskUses'))
{
	/**
	 * Get "now" time
	 *
	 * Returns time() based on the timezone parameter or on the
	 * "time_reference" setting
	 *
	 * @param	string
	 * @return	int
	 */
	function calculateDiskUses($folder = NULL)
	{
		if (!empty($folder))
		{
			$space_used = exec('du -h ./files/storeData/'.$folder.'/ | cut -f1');
			return $space_used;
		}
		return NULL;
	}
}

if ( ! function_exists('getHttpDetails'))
{
	/**
	 * Get "now" time
	 *
	 * Returns time() based on the timezone parameter or on the
	 * "time_reference" setting
	 *
	 * @param	string
	 * @return	int
	 */
	function getHttpDetails()
	{
		$http_all = 'IP Address: '.getRealIpAddr().'<br /><br />';
		$http_all .= 'HTTP_ACCEPT: '.$_SERVER['HTTP_ACCEPT'].'<br /><br />';
		$http_all .='HTTP_ACCEPT_LANGUAGE: '.$_SERVER['HTTP_ACCEPT_LANGUAGE'].'<br /><br />';
		$http_all .='HTTP_CONNECTION: '.$_SERVER['HTTP_CONNECTION'].'<br /><br />';
		$http_all .='HTTP_HOST: '.$_SERVER['HTTP_HOST'].'<br /><br />';
		$http_all .='HTTP_REFERER: '.$_SERVER['HTTP_REFERER'].'<br /><br />';
		$http_all .='HTTP_USER_AGENT: '.$_SERVER['HTTP_USER_AGENT'].'<br /><br />';
		$http_all .='HTTP_COOKIE: '.$_SERVER['HTTP_COOKIE'].'<br /><br />';
		//$http_all .='HTTP_ACCEPT_ENCODING: '.$_SERVER['HTTP_ACCEPT_ENCODING'];
		
		return $http_all;
	}
}

function getRealIpAddr()
{
	 if (!empty($_SERVER['HTTP_CLIENT_IP']))
	 {
		 //check ip from share internet	 
	   	$ip=$_SERVER['HTTP_CLIENT_IP'];
	 }
	 elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR']))	 
	 {
	   //to check ip is pass from proxy
	   $ip=$_SERVER['HTTP_X_FORWARDED_FOR'];
	 }
	 else
	 {
	   $ip=$_SERVER['REMOTE_ADDR'];
	 }
	 return $ip;
}

